#include "vecsum.h"

int main () {
  vec *p = vnew(10);
  int r0 = (10 * 11) / 2;
  int r;
  int i;
  for (i = 0; i < 10; i++)
    vset(p, i, i+1);
  r = 15213; sum1(p, &r);
  if (r != r0) printf("Error: sum1\n");
  r = 15213; sum2(p, &r);
  if (r != r0) printf("Error: sum2\n");
  r = 15213; sum3(p, &r);
  if (r != r0) printf("Error: sum3\n");
  r = 15213; sum4(p, &r);
  if (r != r0) printf("Error: sum4\n");
  printf("No (further) errors\n");
  return 0;
}
